/*
	SofK Style for KDE 3+
	
		Copyright (C) 2006 xactive <xactive@o2.pl>
	
	Based on Serenity style:
	
		Copyright (C) 2006 Remi Villatel <maxilys@tele2.fr>
	
 ;-)
	
	This library is free software; you can redistribute it and/or 
	modify it under the terms of the GNU Library General Public 
	License version 2 as published by the Free Software Foundation.
	
	This library is distributed in the hope that it will be useful, 
	but WITHOUT ANY WARRANTY; without even the implied warranty of 
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
	Library General Public License for more details.
	
	You should have received a copy of the GNU Library General Public 
	License along with this library. (See the file COPYING.) If not, 
	write to:
	The Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
	Boston, MA 02111-1307, USA.
*/

#ifndef sofk_CONF_H
#define sofk_CONF_H

class QCheckBox;
class QSlider;

class sofkStyleConfig: public QWidget
{
	Q_OBJECT
	
	public:
		sofkStyleConfig(QWidget* parent);
		~sofkStyleConfig();
	
		// This signal and the next two slots are 
		// the plugin page interface
	signals:
		void changed(bool);
	
	public slots:
		void save();
		void defaults();
	
		// Everything below this point is internal.
	protected slots:
		void updateChanged();
	
	protected:
		// We store settings directly in widgets 
		// to avoid the hassle of sync'ing things
		QCheckBox*	drawTriangularExpander;
		QCheckBox*	drawFocusRect;
		QCheckBox*	drawToolBarHandle;
		QCheckBox*	drawToolBarSeparator;
		QComboBox*	scrollBarStyle;
		QString		scrollBarType(int listnr);
		int		scrollBarItem( QString kSBType );
		QCheckBox*	centerTabs;
		QComboBox*	tabWarnStyle;
		QString		tabWarnType(int listnr);
		int		tabWarnItem( QString tbwnType );
		QSlider*	submenuSpeed;
		//
		QComboBox*	gradientStyle;
		QString		gradientType(int listnr);
		int		gradientItem( QString grdType );
		QCheckBox*	alternateSinking;
		QCheckBox*	customOverHighlightColor;
		KColorButton*	overHighlightColor;
		//QCheckBox	mouseOverLabel;
		QComboBox*	progressBarPattern;
		QString		patternType(int listnr);
		int		patternItem( QString grdType );
		QCheckBox*	flatProgressBar;
		QCheckBox*	animateProgressBar;
		QCheckBox*	menuGroove;
		QCheckBox*	drawsoftGroupBox;
		QComboBox*	tabStyle;
		QString		tabStyleType(int listnr);
		int	  	tabStyleItem( QString tbstType );
		QCheckBox*	drawSolidSeparator;
	
		// Original settings, for accurate dirtiness tracking
		bool		origDrawTriangularExpander;
		bool		origDrawFocusRect;
		bool		origDrawToolBarHandle;
		bool		origDrawToolBarSeparator;
		QString		origScrollBarStyle;
		QString		origTabWarnStyle;
		bool		origCenterTabs;
		int		origSubmenuSpeed;
		//
		QString		origGradientStyle;
		bool		origAlternateSinking;
		bool		origCustomOverHighlightColor;
		QColor		origOverHighlightColor;
		//bool		origMouseOverLabel;
		QString		origProgressBarPattern;
		bool		origFlatProgressBar;
		bool		origAnimProgressBar;
		bool		origMenuGroove;
		bool		origDrawsoftGroupBox;
		QString		origTabStyle;
		bool		origDrawSolidSeparator;
};

#endif
